Summary: IPsec-Tools package use the IPsec functionality in the linux-2.5+ kernels.
Name: ipsec-tools
Version: 0.7.1
Release: alt1
URL: http://ipsec-tools.sourceforge.net/
License: BSD
Group: Security/Networking

Source0: ftp://ftp.netbsd.org/pub/NetBSD/misc/ipsec-tools/0.7/ipsec-tools-%{version}.tar.bz2
Source1: %name-racoon.init
Source2: %name-racoon.sysconfig
Source3: p1_up_down
Source4: racoon.conf

# patches from ipsec-tools-0.7.1-6.fc11.src.rpm
Patch1: ipsec-tools-0.7-acquires.patch
Patch2: ipsec-tools-0.7.1-loopback.patch
Patch3: ipsec-tools-0.7-iface.patch
Patch4: ipsec-tools-0.7-dupsplit.patch
Patch5: ipsec-tools-0.7-splitcidr.patch
Patch6: ipsec-tools-0.7.1-natt-linux.patch
Patch7: ipsec-tools-0.7.1-pie.patch
Patch8: ipsec-tools-0.7.1-leaks.patch
Patch9: ipsec-tools-0.7.1-dpd-fixes.patch

Patch100: ipsec-tools-0.7.1-alt-werror.patch
Patch101: ipsec-tools-0.7-alt-makefile.patch
Patch102: ipsec-tools-0.6.7-alt-config.patch
Patch103: ipsec-tools-0.7.1-alt-unres.patch

# Automatically added by buildreq on Wed Aug 27 2008
BuildRequires: flex gcc-c++ libcom_err-devel libselinux-devel libssl-devel libkrb5-devel libreadline-devel

%description
This is the IPsec-Tools package.  You need this package in order to
really use the IPsec functionality in the linux-2.5+ kernels.  This
package builds:

        - libipsec, a PFKeyV2 library
        - setkey, a program to directly manipulate policies and SAs
        - racoon, an IKEv1 keying daemon

%prep
%setup -q

%patch1 -p1 -b .acquires
%patch2 -p1 -b .loopback
%patch3 -p1 -b .iface
%patch4 -p1 -b .dupsplit
%patch5 -p1 -b .splitcidr
%patch6 -p1 -b .natt
#patch7 -p1 -b .pie
%patch8 -p1 -b .leaks
%patch9 -p1 -b .dpd

%patch100 -p1 -b .werror
%patch101 -p1 -b .altmake
%patch102 -p1 -b .syscfg
%patch103 -p1 -b .unres

%build
./bootstrap
%configure \
	--disable-static \
	--with-kernel-headers=/usr/include \
	--enable-shared \
	--sysconfdir=/etc/racoon \
	--enable-hybrid \
	--enable-frag \
	--enable-stats \
	--enable-dpd \
	--disable-ipv6 \
	--enable-natt=kernel \
	--enable-natt \
	--enable-security-context \
	--enable-audit \
	--enable-fastquit \
	--enable-gssapi

NPROCS=1
%make_build

%install
%__make install DESTDIR=%buildroot

%__mkdir_p %buildroot/%_sysconfdir/racoon/certs
%__mkdir_p %buildroot/%_sysconfdir/racoon/scripts
%__mkdir_p %buildroot/%_initdir
%__mkdir_p %buildroot/%_sysconfdir/sysconfig
%__install -p -m0600 src/racoon/samples/psk.txt %buildroot/%_sysconfdir/racoon/
%__install -p -m0644 %SOURCE4 %buildroot/%_sysconfdir/racoon/
%__install -p -m0700 %SOURCE3 %buildroot/%_sysconfdir/racoon/scripts/
%__install -m 0755 %SOURCE1 %buildroot/%_initdir/racoon
%__install -m 0644 %SOURCE2 %buildroot/%_sysconfdir/sysconfig/racoon

%preun
%preun_service racoon

%post
%post_service racoon


%files
%_libdir/libipsec.so*
%_libdir/libracoon.so*
%_initdir/racoon
%config(noreplace) %_sysconfdir/racoon/racoon.conf
%config(noreplace) %_sysconfdir/racoon/psk.txt
%config(noreplace) %_sysconfdir/sysconfig/racoon
%_sysconfdir/racoon/scripts/p1_up_down
%dir %_sysconfdir/racoon/certs
%dir %_sysconfdir/racoon/scripts
%dir %_sysconfdir/racoon/
%_sbindir/plainrsa-gen
%_sbindir/racoon
%_sbindir/racoonctl
%_sbindir/setkey
%_man3dir/*
%_man5dir/racoon.conf.5*
%_man8dir/plainrsa-gen.8.gz
%_man8dir/racoon.8.gz
%_man8dir/racoonctl.8.gz
%_man8dir/setkey.8.gz
%doc ChangeLog NEWS README src/racoon/doc/* src/racoon/samples/roadwarrior src/racoon/samples/*sample*
%dir %_localstatedir/racoon
%_includedir/libipsec/*
%dir %_includedir/libipsec
%_includedir/racoon/*
%dir %_includedir/racoon

%changelog
* Sun Dec 14 2008 Dmitry Lebkov <dlebkov@altlinux.ru> 0.7.1-alt1
- 0.7.1 with patches from ipsec-tools-0.7.1-6.fc11

* Wed Aug 27 2008 Dmitry Lebkov <dlebkov@altlinux.ru> 0.6.7-alt2
- CVE-2008-3651 and CVE-2008-3652 patches from RedHat package
  ipsec-tools-0.6.5-9.3:
  + for DoS through various memory leaks (rh#456660, rh#458846)
- other patches from RH

* Sat Aug 09 2008 ALT QA Team Robot <qa-robot@altlinux.org> 0.6.7-alt1.1
- Automated rebuild due to libcrypto.so.6 -> libcrypto.so.7 soname change.

* Sun May 13 2007 Dmitry Lebkov <dlebkov@altlinux.ru> 0.6.7-alt1
- 0.6.7
- CVE-2007-1841
- ALT bug #11604 fixed
- add init-script for racoon daemon

* Wed Dec 20 2006 Dmitry Lebkov <dlebkov@altlinux.ru> 0.6.6-alt1
- fix build requires

* Fri Oct 27 2006 Dmitry Lebkov <dlebkov@altlinux.ru> 0.6.6-alt0
- 0.6.6

* Wed Mar 2 2005 Maxim Tyurin <mrkooll@altlinux.ru> 0.5-alt1
- New version (fixed CAN-2004-0155) and fixed potencial buffer ovefflow.

* Thu Jun 10 2004 Maxim Tyurin <mrkooll@altlinux.ru> 0.2.3-alt1
- Initial build.

